Package org.apache.sling.resourceresolver.impl.mapping

# Class PagedQueryIterator.QueryImplementationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.sling.resourceresolver.impl.mapping.PagedQueryIterator.QueryImplementationException

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  PagedQueryIterator

public static class PagedQueryIterator.QueryImplementationException extends RuntimeException
Thrown when the underlying repository misbehaves with respect to sorting on multivalued properties.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`QueryImplementationException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### QueryImplementationException

public QueryImplementationException(String message)